Summary:	xman aplication - manual display program for the X Window System
Summary(pl.UTF-8):	Aplikacja xman - program do wyświetlania manuali dla systemu X Window
Name:		xorg-app-xman
Version:	1.2.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xman-%{version}.tar.xz
# Source0-md5:	cd0835f8fc36f4baf70b66a32973753d
Patch0:		%{name}-confname.patch
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
Requires:	man-db
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xman is a graphical manual page browser using the Athena Widgets (Xaw)
toolkit.

%description -l pl.UTF-8
xman to graficzna przeglądarka stron manuala, wykorzystująca toolkit
X Athena Widgets (Xaw).

%prep
%setup -q -n xman-%{version}
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	GROFF=/usr/bin/groff \
	--with-localmanpath=/usr/local/man \
	--with-sysmanpath=/usr/share/man \
	--with-manconfig=/etc/man_db.conf

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/xman
%{_datadir}/X11/app-defaults/Xman
%{_datadir}/X11/xman.help
%{_mandir}/man1/xman.1*
%changelog
* Sun Mar 24 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xman.git;a=log;h=master

* Sun Mar 24 2024 Jakub Bogusz <qboosh@pld-linux.org> 2717b75
- updated to 1.2.0

* Mon Oct 02 2023 Jakub Bogusz <qboosh@pld-linux.org> d480429
- updated to 1.1.6

* Tue Jul 16 2019 Jakub Bogusz <qboosh@pld-linux.org> 4f9cc6b
- updated to 1.1.5

* Sun Mar 15 2015 Jakub Bogusz <qboosh@pld-linux.org> a8b190c
- updated to 1.1.4

* Wed Sep 11 2013 Jakub Bogusz <qboosh@pld-linux.org> 6a3df22
- fixed build without xman suffix

* Wed Sep 11 2013 Jakub Bogusz <qboosh@pld-linux.org> 63dd5d2
- updated to 1.1.3

* Mon Mar 12 2012 Jan Rękorajski <baggins@pld-linux.org> d933033
- rel 2
- man-db now provides all man stuff

* Thu Jun 30 2011 Jakub Bogusz <qboosh@pld-linux.org> bd40a1e
- updated to 1.1.2
- updated confname patch

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 3d7a868
- dropped pre-cvs changelog

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> 5d15d6d
- updated to 1.1.1
- updated confname patch

* Mon Oct 19 2009 Jakub Bogusz <qboosh@pld-linux.org> 33a4e90
- updated to 1.1.0

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a6faf3
- rel 3; fix xaw related build

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3553ec4
- updated

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 89fd554
- new

* Fri Nov 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 06ca574
- release 2

* Sat Aug 11 2007 Jakub Bogusz <qboosh@pld-linux.org> 6d8c44c
- descs from man

* Fri Aug 10 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> cda96d2
- up to 1.0.3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ffa8c7e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> eec8c3c
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> aaa4824
- release 2

